RCFProto

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Enumerations Enumerator Properties
Public Member Functions | Protected Attributes | List of all members
DeltaVSoft.RCFProto.RcfProtoChannel Class Reference

Represents a single RPC connection to a server. More...

Inheritance diagram for DeltaVSoft.RCFProto.RcfProtoChannel:

## Public Member Functions
virtual void | CallMethod (Google.ProtocolBuffers.Descriptors.MethodDescriptor method, Google.ProtocolBuffers.IRpcController controller, Google.ProtocolBuffers.IMessage request, Google.ProtocolBuffers.IMessage responsePrototype, Action< Google.ProtocolBuffers.IMessage > done)
Google.ProtocolBuffers.IMessage | GetResponse ()
void | SetCertificateValidationCallback (CertificateValidationCallback certificateValidator)
virtual void | Dispose ()
| RcfProtoChannel (Endpoint endpoint)
| Constructs a RPC channel from an endpoint. More...
bool | Failed ()
| After a call has finished, returns true if the call failed. The possible reasons for failure depend on the RPC implementation. Failed() must not be called before a call has finished. If Failed() returns true, the contents of the response message are undefined. More...
string | ErrorText ()
| If Failed() is true, returns a human-readable description of the error. More...
void | StartCancel ()
| Advises the RPC system that the caller desires that the RPC call be canceled. The RPC system may cancel it immediately, may wait awhile and then cancel it, or may not even cancel the call at all. If the call is canceled, the "done" callback will still be called and the RpcController will indicate that the call failed at that time. More...
void | Connect ()
| Connects to the server. More...
void | Disconnect ()
| Disconencts from the server. More...
void | SetRemoteCallTimeoutMs (uint remoteCallTimeoutMs)
| Sets the remote call timeout value, in milliseconds. More...
uint | GetRemoteCallTimeoutMs ()
| Gets the remote call timeout value, in milliseconds. More...
void | SetConnectTimeoutMs (uint connectTimeoutMs)
| Sets the connect timeout value, in milliseconds. More...
uint | GetConnectTimeoutMs ()
| Gets the connect timeout value, in milliseconds. More...
void | SetTransportProtocol (TransportProtocol protocol)
| Sets the transport protocol being used by the channel. More...
TransportProtocol | GetTransportProtocol ()
| Gets the transport protocol being used by the channel. More...
void | SetEnableAsynchronousRpc (bool enable)
| Sets the enable asynchronous RPC setting. By default asynchronous RPC is disabled. More...
bool | GetEnableAsynchronousRpc ()
| Gets the enable synchronous RPC setting. More...
void | SetPingBackIntervalMs (int pingBackIntervalMs)
| Sets the ping back interval of the connection, in milliseconds. Ping backs are sent from the server back to the client, while a remote call is in progress. More...
int | GetPingBackIntervalMs ()
| Returns the ping back interval of the connection. More...
void | SetHttpProxy (string httpProxy)
| Sets the network address of the HTTP proxy server, through which to route remote calls. Only valid when using a HTTP or HTTPS endpoint. More...
string | GetHttpProxy ()
| Returns the network address of the HTTP proxy server. More...
void | SetHttpProxyPort (int httpProxyPort)
| Sets the port number of the HTTP proxy server, through which to route remote calls. Only valid when using a HTTP or HTTPS endpoint. More...
int | GetHttpProxyPort ()
| Returns the port number of the HTTP proxy server. More...
TransportType | GetTransportType ()
| Returns the transport type of the connection. More...
void | SetUsername (string username)
| Sets the Windows username to use when connecting. Only valid for NTLM and Kerberos transport protocols. More...
string | GetUsername ()
| Returns the Windows username to use when connecting. More...
void | SetPassword (string password)
| Sets the Windows password to use when connecting. Only valid for NTLM and Kerberos transport protocols. More...
string | GetPassword ()
| Returns the Windows password to use when connecting. More...
void | SetKerberosSpn (string kerberosSpn)
| Sets the Kerberos SPN to use when connecting. Only valid for Kerberos transport protocols. More...
string | GetKerberosSpn ()
| Returns the Kerberos SPN to use when connecting. More...
void | SetEnableCompression (bool enableCompression)
| Sets the transport level compression setting for this connection. More...
bool | GetEnableCompression ()
| Returns the transport level compression setting for this connection. More...
void | SetCertificate (Certificate certificatePtr)
| Sets the SSL certificate for the channel. More...
Certificate | GetCertificate ()
| Gets the SSL certificate for the channel. More...
void | SetCaCertificate (Certificate certificatePtr)
| Sets the certificate authority for the channel. More...
Certificate | GetCaCertificate ()
| Gets the certificate authority for the channel. More...
void | SetOpenSslCipherSuite (string cipherSuite)
| Sets the OpenSSL cipher suite. Only applicable when using OpenSSL as the SSL implementation. More...
string | GetOpenSslCipherSuite ()
| Gets the OpenSSL cipher suite. More...
void | SetEnableSchannelCertificateValidation (string peerName)
| Sets the Schannel certificate validation setting. Only applicable when using Schannel as the SSL implementation. If this setting is non-empty, it will be used by Schannel to automatically validate peer certificates. More...
string | GetEnableSchannelCertificateValidation ()
| Gets the Schannel certificate validation setting. More...
void | SetSslImplementation (SslImplementation sslImplementation)
| Sets the SSL implementation to be used by the channel. More...
SslImplementation | GetSslImplementation ()
| Gets the SSL implementation. More...

## Protected Attributes
bool | swigCMemOwn

## Detailed Description

Represents a single RPC connection to a server.

## Constructor & Destructor Documentation

DeltaVSoft.RCFProto.RcfProtoChannel.RcfProtoChannel | ( | Endpoint | endpoint | ) |

Constructs a RPC channel from an endpoint.

## Member Function Documentation

virtual void DeltaVSoft.RCFProto.RcfProtoChannel.CallMethod | ( | Google.ProtocolBuffers.Descriptors.MethodDescriptor | method,
|  | Google.ProtocolBuffers.IRpcController | controller,
|  | Google.ProtocolBuffers.IMessage | request,
|  | Google.ProtocolBuffers.IMessage | responsePrototype,
|  | Action< Google.ProtocolBuffers.IMessage > | done
| ) |  |
| virtual

void DeltaVSoft.RCFProto.RcfProtoChannel.Connect | ( |  | ) |

Connects to the server.

void DeltaVSoft.RCFProto.RcfProtoChannel.Disconnect | ( |  | ) |

Disconencts from the server.

virtual void DeltaVSoft.RCFProto.RcfProtoChannel.Dispose | ( |  | ) |
| virtual

string DeltaVSoft.RCFProto.RcfProtoChannel.ErrorText | ( |  | ) |

If Failed() is true, returns a human-readable description of the error.

bool DeltaVSoft.RCFProto.RcfProtoChannel.Failed | ( |  | ) |

After a call has finished, returns true if the call failed. The possible reasons for failure depend on the RPC implementation. Failed() must not be called before a call has finished. If Failed() returns true, the contents of the response message are undefined.

Certificate DeltaVSoft.RCFProto.RcfProtoChannel.GetCaCertificate | ( |  | ) |

Gets the certificate authority for the channel.

Certificate DeltaVSoft.RCFProto.RcfProtoChannel.GetCertificate | ( |  | ) |

Gets the SSL certificate for the channel.

uint DeltaVSoft.RCFProto.RcfProtoChannel.GetConnectTimeoutMs | ( |  | ) |

Gets the connect timeout value, in milliseconds.

bool DeltaVSoft.RCFProto.RcfProtoChannel.GetEnableAsynchronousRpc | ( |  | ) |

Gets the enable synchronous RPC setting.

bool DeltaVSoft.RCFProto.RcfProtoChannel.GetEnableCompression | ( |  | ) |

Returns the transport level compression setting for this connection.

string DeltaVSoft.RCFProto.RcfProtoChannel.GetEnableSchannelCertificateValidation | ( |  | ) |

Gets the Schannel certificate validation setting.

string DeltaVSoft.RCFProto.RcfProtoChannel.GetHttpProxy | ( |  | ) |

Returns the network address of the HTTP proxy server.

int DeltaVSoft.RCFProto.RcfProtoChannel.GetHttpProxyPort | ( |  | ) |

Returns the port number of the HTTP proxy server.

string DeltaVSoft.RCFProto.RcfProtoChannel.GetKerberosSpn | ( |  | ) |

Returns the Kerberos SPN to use when connecting.

string DeltaVSoft.RCFProto.RcfProtoChannel.GetOpenSslCipherSuite | ( |  | ) |

Gets the OpenSSL cipher suite.

string DeltaVSoft.RCFProto.RcfProtoChannel.GetPassword | ( |  | ) |

Returns the Windows password to use when connecting.

int DeltaVSoft.RCFProto.RcfProtoChannel.GetPingBackIntervalMs | ( |  | ) |

Returns the ping back interval of the connection.

uint DeltaVSoft.RCFProto.RcfProtoChannel.GetRemoteCallTimeoutMs | ( |  | ) |

Gets the remote call timeout value, in milliseconds.

Google.ProtocolBuffers.IMessage DeltaVSoft.RCFProto.RcfProtoChannel.GetResponse | ( |  | ) |

SslImplementation DeltaVSoft.RCFProto.RcfProtoChannel.GetSslImplementation | ( |  | ) |

Gets the SSL implementation.

TransportProtocol DeltaVSoft.RCFProto.RcfProtoChannel.GetTransportProtocol | ( |  | ) |

Gets the transport protocol being used by the channel.

TransportType DeltaVSoft.RCFProto.RcfProtoChannel.GetTransportType | ( |  | ) |

Returns the transport type of the connection.

string DeltaVSoft.RCFProto.RcfProtoChannel.GetUsername | ( |  | ) |

Returns the Windows username to use when connecting.

void DeltaVSoft.RCFProto.RcfProtoChannel.SetCaCertificate | ( | Certificate | certificatePtr | ) |

Sets the certificate authority for the channel.

void DeltaVSoft.RCFProto.RcfProtoChannel.SetCertificate | ( | Certificate | certificatePtr | ) |

Sets the SSL certificate for the channel.

void DeltaVSoft.RCFProto.RcfProtoChannel.SetCertificateValidationCallback | ( | CertificateValidationCallback | certificateValidator | ) |

void DeltaVSoft.RCFProto.RcfProtoChannel.SetConnectTimeoutMs | ( | uint | connectTimeoutMs | ) |

Sets the connect timeout value, in milliseconds.

void DeltaVSoft.RCFProto.RcfProtoChannel.SetEnableAsynchronousRpc | ( | bool | enable | ) |

Sets the enable asynchronous RPC setting. By default asynchronous RPC is disabled.

void DeltaVSoft.RCFProto.RcfProtoChannel.SetEnableCompression | ( | bool | enableCompression | ) |

Sets the transport level compression setting for this connection.

void DeltaVSoft.RCFProto.RcfProtoChannel.SetEnableSchannelCertificateValidation | ( | string | peerName | ) |

Sets the Schannel certificate validation setting. Only applicable when using Schannel as the SSL implementation. If this setting is non-empty, it will be used by Schannel to automatically validate peer certificates.

void DeltaVSoft.RCFProto.RcfProtoChannel.SetHttpProxy | ( | string | httpProxy | ) |

Sets the network address of the HTTP proxy server, through which to route remote calls. Only valid when using a HTTP or HTTPS endpoint.

void DeltaVSoft.RCFProto.RcfProtoChannel.SetHttpProxyPort | ( | int | httpProxyPort | ) |

Sets the port number of the HTTP proxy server, through which to route remote calls. Only valid when using a HTTP or HTTPS endpoint.

void DeltaVSoft.RCFProto.RcfProtoChannel.SetKerberosSpn | ( | string | kerberosSpn | ) |

Sets the Kerberos SPN to use when connecting. Only valid for Kerberos transport protocols.

void DeltaVSoft.RCFProto.RcfProtoChannel.SetOpenSslCipherSuite | ( | string | cipherSuite | ) |

Sets the OpenSSL cipher suite. Only applicable when using OpenSSL as the SSL implementation.

void DeltaVSoft.RCFProto.RcfProtoChannel.SetPassword | ( | string | password | ) |

Sets the Windows password to use when connecting. Only valid for NTLM and Kerberos transport protocols.

void DeltaVSoft.RCFProto.RcfProtoChannel.SetPingBackIntervalMs | ( | int | pingBackIntervalMs | ) |

Sets the ping back interval of the connection, in milliseconds. Ping backs are sent from the server back to the client, while a remote call is in progress.

void DeltaVSoft.RCFProto.RcfProtoChannel.SetRemoteCallTimeoutMs | ( | uint | remoteCallTimeoutMs | ) |

Sets the remote call timeout value, in milliseconds.

void DeltaVSoft.RCFProto.RcfProtoChannel.SetSslImplementation | ( | SslImplementation | sslImplementation | ) |

Sets the SSL implementation to be used by the channel.

void DeltaVSoft.RCFProto.RcfProtoChannel.SetTransportProtocol | ( | TransportProtocol | protocol | ) |

Sets the transport protocol being used by the channel.

void DeltaVSoft.RCFProto.RcfProtoChannel.SetUsername | ( | string | username | ) |

Sets the Windows username to use when connecting. Only valid for NTLM and Kerberos transport protocols.

void DeltaVSoft.RCFProto.RcfProtoChannel.StartCancel | ( |  | ) |

Advises the RPC system that the caller desires that the RPC call be canceled. The RPC system may cancel it immediately, may wait awhile and then cancel it, or may not even cancel the call at all. If the call is canceled, the "done" callback will still be called and the RpcController will indicate that the call failed at that time.

## Member Data Documentation

bool DeltaVSoft.RCFProto.RcfProtoChannel.swigCMemOwn
| protected

The documentation for this class was generated from the following file:

- RcfProtoChannel.cs